package de.fhhannover.inform.trust.ifmapj.identifier;

/**
 * Represents an IF-MAP ip-address identifier.
 * 
 * @author aw
 *
 */
public class IpAddress extends IdentifierWithAd {

	private String mValue;
	
	private IpAddressType mType;
	
	/**
	 * Package constructor.
	 */
	IpAddress() { mType = IpAddressType.IPv4; }

	public void setType(IpAddressType type) {
		mType = type;
	}

	public IpAddressType getType() {
		return mType;
	}

	public void setValue(String value) {
		mValue = value;
	}

	public String getValue() {
		return mValue;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return String.format("ip{%s, %s%s}", getValue(), getType(),
				super.toString());
	}
}
