package de.fhhannover.inform.trust.ifmapj.log;

/**
 * Basic interface for logging.
 * 
 * @author aw
 *
 */
public interface IfmapJLogger {
	
	/**
	 * Print trace level message.
	 * 
	 * @param msg the message
	 */
	public void trace(String msg);
	
	/**
	 * Print debug level message.
	 * 
	 * @param msg the message
	 */
	public void debug(String msg);
	
	/**
	 * Print info level message.
	 * 
	 * @param msg the message
	 */
	public void info(String msg);
	
	/**
	 * Print warn level message.
	 * 
	 * @param msg the message
	 */
	public void warn(String msg);
	
	/**
	 * Print error level message.
	 * 
	 * @param msg the message
	 */
	public void error(String msg);

}
