package de.fhhannover.inform.trust.ifmapj.messages;

/**
 * Interface that represent a publish delete operation.
 * 
 * @author aw
 *
 */
public interface PublishDelete extends PublishElement, IdentifierHolder,
		NamespaceDeclarationHolder {
	
	/**
	 * @param filter the filter to be used to match metadata, null for a
	 *        (unset) for match-all. 
	 */
	public void setFilter(String filter);
	
	/**
	 * @return the filter to be used to match metadata.
	 */
	public String getFilter();
}
