package de.fhhannover.inform.trust.ifmapj.messages;

/**
 * Interface for a newSession request.
 * 
 * @author aw
 *
 */
public interface NewSessionRequest {
	
	/**
	 * @param maxPollResultSize the max-poll-result-size attribute to be sent
	 *        to the server, or null if not specified.
	 */
	public void setMaxPollResultSize(Integer maxPollResultSize);

	/**
	 * @return the max-poll-result-size to be sent to the MAPS, or null if unset.
	 */
	public Integer getMaxPollResultSize();

}
